id: wordpress-copy-delete-posts

info:
  name: Duplicate Post Detection
  author: ricardomaia
  severity: info
  reference:
    - https://wordpress.org/plugins/copy-delete-posts/
  metadata:
    plugin_namespace: copy-delete-posts
    wpscan: https://wpscan.com/plugin/copy-delete-posts
  tags: tech,wordpress,wp-plugin,top-200

http:
  - method: GET
    path:
      - "{{BaseURL}}/wp-content/plugins/copy-delete-posts/readme.txt"

    payloads:
      last_version: helpers/wordpress/plugins/copy-delete-posts.txt

    extractors:
      - type: regex
        part: body
        internal: true
        name: internal_detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

      - type: regex
        part: body
        name: detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

    matchers-condition: or
    matchers:
      - type: dsl
        name: "outdated_version"
        dsl:
          - compare_versions(internal_detected_version, concat("< ", last_version))

      - type: regex
        part: body
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'
# digest: 4b0a00483046022100d4b12075f726f7c4541fc5a94e4aa5aba054a1350249d7a2e9e4c43097cf490a022100f3074537d31e609f0995db684864c92f6e7e50f3cf4fceaab4385c30bd5c46d6:922c64590222798bb761d5b6d8e72950